PUT   private-repository/update/{repo_id}

Updates an existing Docker repository for the current customer.

URL Parameters

NameDescription
repo_id

The ID of the repository to edit.

Remarks

Use GET private repositories route to get the list of private repositories having values applicable for repo_id.

Request example and description

curl --request PUT "https://api-asm1.apica.io/v3/private-repository/update/{"{"}repo_id{"}"}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "repository_url": "sample string 1",
  "username": "sample string 2",
  "password": "sample string 3",
  "mirroring": false,
  "fpr_tag": "sample string 4",
  "zebratester_tag": "sample string 5",
  "runbin_tag": "sample string 6",
  "postman_tag": "sample string 7"
}"
NameType Required Description
repository_urlStringYes

Repository Url

usernameStringYes

Repository Username

passwordStringYes

Repository Password

mirroringBooleanNo

If mirroring is set to 'true', the values of fpr_tag, zebratester_tag, runbin_tag, and postman_tag will be ignore.

fpr_tagStringNo

Fpr Tag

zebratester_tagStringNo

Zebratester Tag

runbin_tagStringNo

Runbin Tag

postman_tagStringNo

Postman Tag

Response body model example and description

Response indicating the result of the operation.